VRPlatformVRPlatform
ListingsOwnership periods

/listings/ownership-periods

List listing ownership periods

GET
/listings/ownership-periods
X-API-Key<token>

API key provided in dashboard

In: header

Query Parameters

listingId?string
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Formatuuid
contactId?string
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Formatuuid
limit?number
Default100
Range1 <= value <= 250
page?number
Default1
Range1 <= value

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.vrplatform.app/listings/ownership-periods"
{
  "data": [
    {
      "listingId": "8c73d933-f7ed-437e-9da1-caac95adc1ae",
      "startAt": "string",
      "endAt": "string",
      "setListingInactive": true,
      "businessModel": "managed",
      "reserve": -9007199254740991,
      "members": [
        {
          "contactId": "b5ec5d98-4bee-4da1-ad24-dde86346cb1d",
          "split": 100000
        }
      ],
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
    }
  ],
  "pagination": {
    "limit": 100,
    "page": 1,
    "total": 0,
    "totalPage": 0,
    "nextPage": 0
  }
}
{
  "code": "string",
  "message": "string",
  "issues": [
    {
      "message": "string"
    }
  ],
  "context": null
}
{
  "code": "string",
  "message": "string",
  "issues": [
    {
      "message": "string"
    }
  ],
  "context": null
}
{
  "code": "string",
  "message": "string",
  "issues": [
    {
      "message": "string"
    }
  ],
  "context": null
}
{
  "code": "string",
  "message": "string",
  "issues": [
    {
      "message": "string"
    }
  ],
  "context": null
}
{
  "code": "string",
  "message": "string",
  "issues": [
    {
      "message": "string"
    }
  ],
  "context": null
}